
CREATE TABLE `hr_log`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '日志ID',
  `operate_desc` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作详细说明',
  `operator_id` mediumtext CHARACTER SET utf8 COLLATE utf8_general_ci NULL COMMENT '操作人',
  `operator_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '操作人姓名',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `operate_type` int(11) NULL DEFAULT NULL COMMENT '操作类型增删改查等',
  `params_str` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `client_ip` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '客户端ip',
  `method_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求方法名',
  `delete_type` int(11) NULL DEFAULT NULL COMMENT '是否删除',
  `class_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '请求类名称',
  `operate_module_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `message` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `operate_module` int(11) NULL DEFAULT NULL,
  `value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_field_extendgroup`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `extend_type` int(11) NULL DEFAULT NULL,
  `group_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `pid` int(11) NULL DEFAULT NULL,
  `is_show` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `show_order` int(11) NULL DEFAULT NULL,
  `is_system_default` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_field_extendinfo`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `extend_type` int(11) NULL DEFAULT NULL,
  `table_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `field_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `field_name_desc` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `field_type` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `control_type` int(11) NULL DEFAULT NULL,
  `extend_group_id` int(11) NULL DEFAULT NULL,
  `isenable` int(11) NULL DEFAULT NULL,
  `isrequired` int(11) NULL DEFAULT NULL,
  `list_show` int(11) NULL DEFAULT NULL,
  `search_show` int(11) NULL DEFAULT NULL,
  `edit_show` int(11) NULL DEFAULT NULL,
  `add_show` int(11) NULL DEFAULT NULL,
  `browser_show` int(11) NULL DEFAULT NULL,
  `show_order` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `browser_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `custom_value` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `is_system_default` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_field_extendtitle`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NULL DEFAULT NULL,
  `title` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `show_order` int(11) NULL DEFAULT NULL,
  `is_show` int(11) NULL DEFAULT NULL,
  `is_system_default` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_comp`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `comp_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `comp_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `comp_name_short` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `parent_company` int(11) NULL DEFAULT NULL,
  `ec_company` int(11) NULL DEFAULT NULL,
  `org_code` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `industry` int(11) NULL DEFAULT NULL,
  `comp_principal` int(11) NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  `show_order` int(11) NULL DEFAULT NULL,
  `uuid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_compext`  (
  `id` int(11) NOT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `phone` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `tel` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_compext_dt1`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mainid` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `address` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `hobby` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `namespan` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_dept`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dept_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `dept_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `dept_name_short` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `parent_comp` int(11) NULL DEFAULT NULL,
  `ec_company` int(11) NULL DEFAULT NULL,
  `parent_dept` int(11) NULL DEFAULT NULL,
  `ec_department` int(11) NULL DEFAULT NULL,
  `dept_principal` int(11) NULL DEFAULT NULL,
  `show_order` int(11) NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  `uuid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_deptext`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_deptext_dt1`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mainid` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_grade`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `grade_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `grade_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `scheme_id` int(11) NULL DEFAULT NULL,
  `level_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_hrmrelation`  (
  `id` int(11) NOT NULL,
  `scheme_id` int(11) NULL DEFAULT NULL,
  `level_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `grade_id` int(11) NULL DEFAULT NULL,
  `sequence_id` int(11) NULL DEFAULT NULL,
  `post_id` int(11) NULL DEFAULT NULL,
  `post_info_id` int(11) NULL DEFAULT NULL,
  `company_id` int(11) NULL DEFAULT NULL,
  `department_id` int(11) NULL DEFAULT NULL,
  `job_id` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime(0) NULL DEFAULT NULL,
  `update_time` datetime(0) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_hrmresource`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `work_code` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `login_id` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `last_name` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `sex` int(11) NULL DEFAULT NULL,
  `account_type` int(11) NULL DEFAULT NULL,
  `belong_to` int(11) NULL DEFAULT NULL,
  `company_id` int(11) NULL DEFAULT NULL,
  `department_id` int(11) NULL DEFAULT NULL,
  `job_activity` int(11) NULL DEFAULT NULL,
  `job_title` int(11) NULL DEFAULT NULL,
  `job_call` int(11) NULL DEFAULT NULL,
  `job_level` int(11) NULL DEFAULT NULL,
  `job_group_id` int(11) NULL DEFAULT NULL,
  `job_activity_desc` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` int(11) NULL DEFAULT NULL,
  `system_language` int(11) NULL DEFAULT NULL,
  `resource_image_id` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `messager_url` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `location_id` int(11) NULL DEFAULT NULL,
  `manager_id` int(11) NULL DEFAULT NULL,
  `assistant_id` int(11) NULL DEFAULT NULL,
  `mobile` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `telephone` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `mobile_call` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fax` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `email` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `workroom` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `pass_word` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `sec_level` int(11) NULL DEFAULT NULL,
  `birthday` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `folk` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `native_place` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `reg_resident_place` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `certificate_num` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `marital_status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `policy` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `be_member_date` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `be_party_date` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `islabouunion` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `degree` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `health_info` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `education_level` int(11) NULL DEFAULT NULL,
  `height` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `weight` int(11) NULL DEFAULT NULL,
  `use_kind` int(11) NULL DEFAULT NULL,
  `start_date` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `end_date` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `probation_end_date` char(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `resident_place` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `home_address` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `temp_resident_number` varchar(60) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `company_start_date` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `work_start_date` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `accum_fund_account` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `account_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `bank_id` int(11) NULL DEFAULT NULL,
  `account_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `show_order` int(11) NULL DEFAULT NULL,
  `classification` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `company_work_year` decimal(10, 2) NULL DEFAULT NULL,
  `work_year` decimal(10, 2) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_hrmresourceext`  (
  `id` int(11) NOT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_hrmresourceext_dt1`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mainid` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_job`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `job_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `job_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `parent_comp` int(11) NULL DEFAULT NULL,
  `parent_dept` int(11) NULL DEFAULT NULL,
  `sequence_id` int(11) NULL DEFAULT NULL,
  `scheme_id` int(11) NULL DEFAULT NULL,
  `parent_job` int(11) NULL DEFAULT NULL,
  `is_key` int(11) NULL DEFAULT NULL,
  `workplace` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `work_duty` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `work_authority` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  `show_order` int(11) NULL DEFAULT NULL,
  `grade_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `level_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `ec_company` int(11) NULL DEFAULT NULL,
  `ec_department` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_jobdt`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mainid` int(11) NULL DEFAULT NULL,
  `level_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `grade_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `level_id_span` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `grade_id_span` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_jobext`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_jobext_dt1`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mainid` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `post_id` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `post_idspan` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `post_info_id` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `post_info_idspan` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_level`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `level_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `level_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `scheme_id` int(11) NULL DEFAULT NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_map`  (
  `fid` int(11) NOT NULL AUTO_INCREMENT,
  `id` int(11) NULL DEFAULT NULL,
  `ftype` int(11) NULL DEFAULT NULL,
  `fobjid` int(11) NULL DEFAULT NULL,
  `fecid` int(11) NULL DEFAULT NULL,
  `Uuid` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fclass` int(11) NULL DEFAULT NULL,
  `fclassname` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fnumber` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fname` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fleader` int(11) NULL DEFAULT NULL,
  `fleaderimg` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fleadername` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fleaderjobid` int(11) NULL DEFAULT NULL,
  `fleaderjob` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fleaderlv` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fleaderst` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `fparentid` int(11) NULL DEFAULT NULL,
  `fobjparentid` int(11) NULL DEFAULT NULL,
  `fplan` int(11) NULL DEFAULT NULL,
  `fonjob` int(11) NULL DEFAULT NULL,
  `fisvitual` int(11) NULL DEFAULT NULL,
  `fdatebegin` date NULL DEFAULT NULL,
  `fdateend` date NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`fid`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_post`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `post_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_post_info`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `post_info_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `post_info_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `post_info_authority` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `post_info_duty` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `post_info_qualification` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `post_id` int(11) NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_scheme`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `scheme_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `scheme_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `scheme_description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_sequence`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sequence_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `sequence_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `scheme_id` int(11) NULL DEFAULT NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_staff`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `plan_id` int(11) NULL DEFAULT NULL,
  `comp_id` int(11) NULL DEFAULT NULL,
  `ec_company` int(11) NULL DEFAULT NULL,
  `dept_id` int(11) NULL DEFAULT NULL,
  `ec_department` int(11) NULL DEFAULT NULL,
  `job_id` int(11) NULL DEFAULT NULL,
  `staff_num` int(11) NULL DEFAULT NULL,
  `control_policy` int(11) NULL DEFAULT NULL,
  `permanent_num` int(11) NULL DEFAULT NULL,
  `freeze_num` int(11) NULL DEFAULT NULL,
  `lack_status` int(11) NULL DEFAULT NULL,
  `staff_desc` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_staffplan`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `plan_no` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `plan_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `plan_year` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `time_start` date NULL DEFAULT NULL,
  `time_end` date NULL DEFAULT NULL,
  `company_id` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `ec_company` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `control_dimension` varchar(5) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `description` text CHARACTER SET utf8 COLLATE utf8_general_ci NULL,
  `forbidden_tag` int(11) NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `is_used` int(11) NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_org_staffs`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `staff_id` int(11) NULL DEFAULT NULL,
  `business_type` int(11) NULL DEFAULT NULL,
  `change_num` int(11) NULL DEFAULT NULL,
  `business_source` int(11) NULL DEFAULT NULL,
  `requestid` int(11) NULL DEFAULT NULL,
  `description` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `creator` int(11) NULL DEFAULT NULL,
  `delete_type` int(11) NULL DEFAULT NULL,
  `create_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;

CREATE TABLE `jcl_import_history`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `operator` int(11) NOT NULL,
  `operate_time` varchar(800) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `client_address` varchar(800) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `import_type` varchar(400) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `source_from` varchar(400) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `operate_type` varchar(400) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` varchar(800) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;


CREATE TABLE `jcl_import_history_detail`  (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL,
  `row_nums` varchar(800) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `status` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `operate_detail` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  `related_name` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci ROW_FORMAT = Dynamic;



insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (1, 1, '基本信息', 1, 0, now(), NULL, NULL, '1', 1, 0);
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (2, 2, '基本信息', 1, 0, now(), NULL, NULL, '1', 1, 0);
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (3, 3, '基础信息', 1, 0, now(), NULL, NULL, '1', 1, 0);
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (4, 4, '基本信息', 1, 0, now(), NULL, NULL, '1', 1, 0);
insert INTO jcl_field_extendgroup (id, extend_type, group_name, creator, delete_type, create_time, update_time, pid, is_show, show_order, is_system_default) VALUES (5, 3, '职务', 1, 0, now(),NULL, 3, '1', 1, 0);

insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (1, 1, '基本信息', 1, 0, now(), NULL, 1, 1, 0);
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (2, 2, '基本信息', 1, 0, now(), NULL, 1, 1, 0);
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (3, 3, '基本信息', 1, 0, now(), NULL, 1, 1, 0);
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (4, 4, '基本信息', 1, 0, now(), NULL, 1, 1, 0);
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (5, 3, '职务信息', 1, 0, now(), NULL, 2, 1, 0);
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (6, 3, '职责信息', 1, 0, now(), NULL, 3, 1, 0);
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (7, 4, '上下级关系', 1, 0, now(), NULL, 2, 1, 0);
insert INTO jcl_field_extendtitle (id, group_id, title, creator, delete_type, create_time, update_time, show_order, is_show, is_system_default) VALUES (8, 4, '通讯信息', 1, 0, now(), NULL, 3, 1, 0);

insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (2, 1, 'JCL_ORG_COMP', 'comp_name', '名称', 'varchar(100)', 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (3, 1, 'JCL_ORG_COMP', 'parent_company', '上级公司', 'int', 3, 1, 1, 0, 0, 0, 0, 0, 1, 6, 1, 0, now(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"compBrowser","valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","shownamespan":"compBrowser","namespan":"公司分部浏览按钮","name":"公司分部浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"compBrowser","id":"compBrowser"}]}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (1, 1, 'JCL_ORG_COMP', 'comp_no', '编号', 'varchar(100)', 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (4, 1, 'JCL_ORG_COMP', 'industry', '行业', 'int', 3, 1, 1, 0, 1, 1, 1, 1, 1, 8, 1, 0, now(), NULL, '63', NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (5, 1, 'JCL_ORG_COMP', 'comp_name_short', '简称', 'varchar(100)', 1, 1, 1, 1, 1, 1, 1, 1, 1, 4, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (6, 1, 'JCL_ORG_COMP', 'org_code', '组织机构代码', 'varchar(100)', 1, 1, 1, 0, 1, 1, 1, 1, 1, 7, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (7, 1, 'JCL_ORG_COMP', 'comp_principal', '负责人', 'int', 3, 1, 1, 0, 1, 1, 1, 1, 1, 9, 1, 0, now(), NULL, '1', NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (8, 1, 'JCL_ORG_COMP', 'description', '说明', 'text', 2, 1, 1, 0, 1, 0, 1, 0, 1, 10, 1, 0, now(), NULL, NULL, NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (9, 1, 'JCL_ORG_COMP', 'forbidden_tag', '禁用标记', 'int', 5, 1, 1, 0, 1, 1, 0, 0, 1, 11, 1, 0, now(), NULL, '', '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"启用"},{"default":"","unuse":"0","id":"1","key":"1","option":"禁用"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (10, 1, 'JCL_ORG_COMP', 'show_order', '显示顺序', 'int', 1, 1, 1, 0, 1, NULL, 1, 1, 1, 12, 1, 0, now(), NULL, '2', '["input","int"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (11, 2, 'JCL_ORG_DEPT', 'dept_no', '编号', 'varchar(100)', 1, 2, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (12, 2, 'JCL_ORG_DEPT', 'dept_name', '名称', 'varchar(100)', 1, 2, 1, 1, 1, 1, 1, 1, 1, 2, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (13, 2, 'JCL_ORG_DEPT', 'dept_name_short', '简称', 'varchar(100)', 1, 2, 1, 1, 1, 1, 1, 1, 1, 3, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (14, 2, 'JCL_ORG_DEPT', 'parent_comp', '所属分部', 'int', 3, 2, 1, 1, 0, 0, 0, 0, 1, 4, 1, 0, now(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"compBrowser","valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","shownamespan":"compBrowser","namespan":"公司分部浏览按钮","name":"公司分部浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"compBrowser","id":"compBrowser"}]}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (15, 2, 'JCL_ORG_DEPT', 'parent_dept', '上级部门', 'int', 3, 2, 1, 0, 0, 0, 0, 0, 1, 5, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"部门浏览按钮","replaceDatas":[{"showname":"deptBrowser","shownamespan":"deptBrowser","namespan":"部门浏览按钮","name":"部门浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","id":"deptBrowser","randomFieldId":"deptBrowser"}],"value":"deptBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (16, 2, 'JCL_ORG_DEPT', 'dept_principal', '部门负责人', 'int', 3, 2, 1, 0, 1, 1, 1, 1, 1, 6, 1, 0, now(), NULL, '1', NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (17, 2, 'JCL_ORG_DEPT', 'show_order', '显示顺序', 'int', 1, 2, 1, 0, 1, 1, 1, 1, 1, 7, 1, 0, now(), NULL, '2', NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (18, 2, 'JCL_ORG_DEPT', 'description', '说明', 'text', 2, 2, 1, 0, 1, 1, 1, 0, 1, 8, 1, 0, now(), NULL, NULL, NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (19, 2, 'JCL_ORG_DEPT', 'forbidden_tag', '禁用标记', 'int', 5, 2, 1, 0, 1, 1, 0, 0, 1, 9, 1, 0, now(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"启用"},{"default":"","unuse":"0","id":"1","key":"1","option":"禁用"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (20, 3, 'JCL_ORG_JOB', 'job_no', '编号', 'varchar(100)', 1, 3, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (21, 3, 'JCL_ORG_JOB', 'sequence_id', '岗位序列', 'int', 3, 5, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0, now(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"sequenceBrowser","valueSpan":"岗位序列","replaceDatas":[{"showname":"sequenceBrowser","shownamespan":"sequenceBrowser","namespan":"岗位序列","name":"岗位序列","showtypespan":"列表式","randomFieldIdspan":"","showtype":"1","randomFieldId":"sequenceBrowser","id":"sequenceBrowser"}]}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (22, 3, 'JCL_ORG_JOB', 'description', '工作概述', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 1, 1, 0, now(), NULL, NULL, NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (23, 3, 'JCL_ORG_JOB', 'job_name', '名称', 'varchar(100)', 1, 3, 1, 0, 1, 1, 1, 1, 1, 2, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (24, 3, 'JCL_ORG_JOB', 'scheme_id', '等级方案', 'int', 3, 5, 1, 1, 1, 1, 1, 1, 1, 2, 1, 0, now(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"schemeBrowser","valueSpan":"等级方案浏览按钮","replaceDatas":[{"showname":"schemeBrowser","shownamespan":"schemeBrowser","namespan":"等级方案浏览按钮","name":"等级方案浏览按钮","showtypespan":"列表式","randomFieldIdspan":"","showtype":"1","randomFieldId":"schemeBrowser","id":"schemeBrowser"}]}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (25, 3, 'JCL_ORG_JOB', 'work_duty', '任职职责', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 2, 1, 0, now(), NULL, NULL, NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (26, 3, 'JCL_ORG_JOB', 'ec_department', '所属部门', 'int', 3, 3, 1, 1, 1, 1, 1, 1, 1, 3, 1, 0, now(), NULL, '4', '["browser",{"valueSpan":"部门","replaceDatas":[{"name":"部门","id":"4"}],"value":"4"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (27, 3, 'JCL_ORG_JOB', 'work_authority', '工作权限', 'text', 2, 6, 1, 0, 1, 1, 1, 0, 1, 3, 1, 0, now(), NULL, NULL, NULL, 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (28, 3, 'JCL_ORG_JOB', 'level_id', '职等', 'text', 3, 5, 1, 0, 1, NULL, 1, 1, 1, 4, 1, 0, now(), NULL, '162', '["browser",{"valueSpan":"自定义多选","replaceDatas":[{"itemorderid":"162","name":"自定义多选","id":"162","parenttitle":"集成","title":"集成-自定义多选"}],"value":"162"},{"valueSpan":"职等浏览按钮","replaceDatas":[{"showname":"LevelBrowser","name":"职等浏览按钮","id":"LevelBrowser"}],"value":"LevelBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (29, 3, 'JCL_ORG_JOB', 'ec_company', '所属分部', 'int', 3, 3, 1, 0, 1, 0, 0, 0, 1, 4, 1, 0, now(), NULL, '164', '["browser",{"valueSpan":"分部","replaceDatas":[{"name":"分部","id":"164"}],"value":"164"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (30, 3, 'JCL_ORG_JOB', 'grade_id', '职级', 'text', 3, 5, 1, 0, 1, NULL, 1, 1, 1, 3, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"itemorderid":"161","name":"自定义单选","id":"161","parenttitle":"集成","title":"集成-自定义单选"}],"value":"161"},{"valueSpan":"职级浏览按钮","replaceDatas":[{"showname":"gradeBrowser","name":"职级浏览按钮","id":"gradeBrowser"}],"value":"gradeBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (31, 3, 'JCL_ORG_JOB', 'parent_job', '上级岗位', 'int', 3, 3, 1, 0, 1, 1, 1, 1, 1, 5, 1, 0, now(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"jobBrowser","valueSpan":"岗位浏览按钮","replaceDatas":[{"showname":"jobBrowser","shownamespan":"jobBrowser","namespan":"岗位浏览按钮","name":"岗位浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"jobBrowser","id":"jobBrowser"}]}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (32, 3, 'JCL_ORG_JOB', 'is_key', '是否关键岗', 'int', 5, 3, 1, 0, 1, 1, 1, 1, 1, 6, 1, 0, now(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"否"},{"default":"","unuse":"0","id":"1","key":"1","option":"是"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (33, 3, 'JCL_ORG_JOB', 'workplace', '工作地点', 'varchar(100)', 1, 3, 1, 0, 1, 1, 1, 0, 1, 7, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (34, 3, 'JCL_ORG_JOB', 'forbidden_tag', '禁用标记', 'int', 5, 3, 1, 0, 1, 1, 0, 0, 1, 8, 1, 0, now(), NULL, NULL, '["select","select",{"datas":[{"default":"","unuse":"0","id":"0","key":"0","option":"启用"},{"default":"","unuse":"0","id":"1","key":"1","option":"禁用"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (35, 3, 'JCL_ORG_JOB', 'show_order', '显示顺序', 'int', 1, 3, 1, 0, 1, NULL, 1, 1, 1, 9, 1, 0, now(), NULL, '2', '["input","int"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (36, 3, 'JCL_ORG_JOB', 'parent_comp', '所属分部', 'int', 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, now(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"compBrowser","valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","shownamespan":"compBrowser","namespan":"公司分部浏览按钮","name":"公司分部浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"compBrowser","id":"compBrowser"}]}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (37, 3, 'JCL_ORG_JOB', 'parent_dept', '上级部门', 'int', 3, 3, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"部门浏览按钮","replaceDatas":[{"showname":"deptBrowser","shownamespan":"deptBrowser","namespan":"部门浏览按钮","name":"部门浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","id":"deptBrowser","randomFieldId":"deptBrowser"}],"value":"deptBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (38, 3, 'JCL_ORG_JOBEXT_DT1', 'post_id', '职务分类', 'text', 3, 5, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"itemorderid":"161","name":"自定义单选","id":"161","parenttitle":"集成","title":"集成-自定义单选"}],"value":"161"},{"valueSpan":"职务分类浏览按钮","replaceDatas":[{"showname":"postBrowser","name":"职务分类浏览按钮","id":"postBrowser"}],"value":"postBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (39, 3, 'JCL_ORG_JOBEXT_DT1', 'post_info_id', '职务', 'text', 3, 5, 1, 0, 1, NULL, 1, 1, 1, 2, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"itemorderid":"161","name":"自定义单选","id":"161","parenttitle":"集成","title":"集成-自定义单选"}],"value":"161"},{"valueSpan":"职务信息浏览按钮","replaceDatas":[{"showname":"PostInfoBrowser","name":"职务信息浏览按钮","id":"PostInfoBrowser"}],"value":"PostInfoBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (40, 4, 'JCL_ORG_HRMRESOURCE', 'work_code', '编号', 'varchar(60)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (41, 4, 'JCL_ORG_HRMRESOURCE', 'manager_id', '直接上级', 'int', 3, 7, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 0, now(), NULL, '1', '["browser",{"valueSpan":"人力资源","replaceDatas":[{"itemorderid":"1","name":"人力资源","id":"1","parenttitle":"人员","title":"人员-人力资源"}],"value":"1"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (42, 4, 'JCL_ORG_HRMRESOURCE', 'mobile', '移动电话', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 1, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (43, 4, 'JCL_ORG_HRMRESOURCE', 'login_id', '登录名', 'varchar(60)', 1, 4, 1, 1, 1, NULL, 1, 1, 1, 2, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (44, 4, 'JCL_ORG_HRMRESOURCE', 'assistant_id', '助理', 'int', 3, 7, 1, 0, 1, NULL, 1, 1, 1, 2, 1, 0, now(), NULL, '1', '["browser",{"valueSpan":"人力资源","replaceDatas":[{"itemorderid":"1","name":"人力资源","id":"1","parenttitle":"人员","title":"人员-人力资源"}],"value":"1"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (45, 4, 'JCL_ORG_HRMRESOURCE', 'telephone', '办公室电话', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 2, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (46, 4, 'JCL_ORG_HRMRESOURCE', 'last_name', '姓名', 'varchar(60)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 3, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (47, 4, 'JCL_ORG_HRMRESOURCE', 'mobile_call', '其他电话', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 3, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (48, 4, 'JCL_ORG_HRMRESOURCE', 'sex', '性别', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 4, 1, 0, now(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"男"},{"default":"","unuse":"","id":"1","key":"1","option":"女"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (49, 4, 'JCL_ORG_HRMRESOURCE', 'fax', '传真', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 4, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (50, 4, 'JCL_ORG_HRMRESOURCE', 'account_type', '账号类型', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 5, 1, 0, now(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"主账号"},{"default":"","unuse":"","id":"1","key":"1","option":"次账号"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (51, 4, 'JCL_ORG_HRMRESOURCE', 'email', '电子邮件', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 5, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (52, 4, 'JCL_ORG_HRMRESOURCE', 'belong_to', '主账号', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 6, 1, 0, now(), NULL, '1', '["browser",{"valueSpan":"人力资源","replaceDatas":[{"name":"人力资源","id":"1"}],"value":"1"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (53, 4, 'JCL_ORG_HRMRESOURCE', 'workroom', '办公室', 'varchar(60)', 1, 8, 1, 0, 1, NULL, 1, 1, 1, 6, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (54, 4, 'JCL_ORG_HRMRESOURCE', 'department_id', '部门', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 7, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"部门浏览按钮","replaceDatas":[{"showname":"deptBrowser","shownamespan":"deptBrowser","namespan":"部门浏览按钮","name":"部门浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","id":"deptBrowser","randomFieldId":"deptBrowser"}],"value":"deptBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (55, 4, 'JCL_ORG_HRMRESOURCE', 'job_activity', '职务', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 8, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"职务分类浏览按钮","replaceDatas":[{"showname":"postBrowser","shownamespan":"postBrowser","namespan":"职务分类浏览按钮","name":"职务分类浏览按钮","showtypespan":"列表式","randomFieldIdspan":"","showtype":"1","id":"postBrowser","randomFieldId":"postBrowser"}],"value":"postBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (56, 4, 'JCL_ORG_HRMRESOURCE', 'job_title', '岗位', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 9, 1, 0, now(), NULL, '161', '["browser",{"value":"161","valueSpan":"自定义单选","replaceDatas":[{"id":"161","name":"自定义单选"}]},{"value":"jobBrowser","valueSpan":"岗位浏览按钮","replaceDatas":[{"showname":"jobBrowser","shownamespan":"jobBrowser","namespan":"岗位浏览按钮","name":"岗位浏览按钮","showtypespan":"树形","randomFieldIdspan":"","showtype":"2","randomFieldId":"jobBrowser","id":"jobBrowser"}]}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (57, 4, 'JCL_ORG_HRMRESOURCE', 'job_call', '职称', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 10, 1, 0, now(), NULL, '260', '["browser",{"valueSpan":"职称","replaceDatas":[{"name":"职称","id":"260"}],"value":"260"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (58, 4, 'JCL_ORG_HRMRESOURCE', 'job_level', '职级', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 11, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"职级浏览按钮","replaceDatas":[{"showname":"gradeBrowser","name":"职级浏览按钮","id":"gradeBrowser"}],"value":"gradeBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (59, 4, 'JCL_ORG_HRMRESOURCE', 'job_group_id', '职务类别', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 12, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"职务分类浏览按钮","replaceDatas":[{"showname":"postBrowser","name":"职务分类浏览按钮","id":"postBrowser"}],"value":"postBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (60, 4, 'JCL_ORG_HRMRESOURCE', 'job_activity_desc', '职责描述', 'varchar(200)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 13, 1, 0, now(), NULL, '1', '["input","text","200"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (61, 4, 'JCL_ORG_HRMRESOURCE', 'status', '状态', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 14, 1, 0, now(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"试用"},{"default":"","unuse":"","id":"1","key":"1","option":"正式"},{"default":"","unuse":"","id":"2","key":"2","option":"临时"},{"default":"","unuse":"","id":"3","key":"3","option":"试用延期"},{"default":"","unuse":"","id":"4","key":"4","option":"解聘"},{"default":"","unuse":"","id":"5","key":"5","option":"离职"},{"default":"","unuse":"","id":"6","key":"6","option":"退休"},{"default":"","unuse":"","id":"7","key":"7","option":"无效"},{"default":"","unuse":"","id":"8","key":"8","option":"在职"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (62, 4, 'JCL_ORG_HRMRESOURCE', 'system_language', '系统语言', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 15, 1, 0, now(), NULL, '259', '["browser",{"valueSpan":"语言","replaceDatas":[{"itemorderid":"259","name":"语言","id":"259","parenttitle":"系统","title":"系统-语言"}],"value":"259"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (63, 4, 'JCL_ORG_HRMRESOURCE', 'resource_image_id', '照片', 'varchar(1000)', 6, 4, 1, 0, 1, NULL, 1, 1, 1, 16, 1, 0, now(), NULL, '1', '["upload","file"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (64, 4, 'JCL_ORG_HRMRESOURCE', 'messager_url', '头像', 'varchar(1000)', 6, 4, 1, 0, 1, NULL, 1, 1, 1, 17, 1, 0, now(), NULL, '1', '["upload","file"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (65, 4, 'JCL_ORG_HRMRESOURCE', 'location_id', '办公地点', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 18, 1, 0, now(), NULL, '262', '["browser",{"valueSpan":"办公地点","replaceDatas":[{"itemorderid":"262","name":"办公地点","id":"262","parenttitle":"组织","title":"组织-办公地点"}],"value":"262"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (66, 4, 'JCL_ORG_HRMRESOURCE', 'company_id', '分部', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 19, 1, 0, now(), NULL, '161', '["browser",{"valueSpan":"自定义单选","replaceDatas":[{"name":"自定义单选","id":"161"}],"value":"161"},{"valueSpan":"公司分部浏览按钮","replaceDatas":[{"showname":"compBrowser","name":"公司分部浏览按钮","id":"compBrowser"}],"value":"compBrowser"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (67, 4, 'JCL_ORG_HRMRESOURCE', 'pass_word', '密码', 'varchar(100)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 20, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (68, 4, 'JCL_ORG_HRMRESOURCE', 'sec_level', '安全级别', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 21, 1, 0, now(), NULL, '2', '["input","int"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (69, 4, 'JCL_ORG_HRMRESOURCE', 'birthday', '出生日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 22, 1, 0, now(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (70, 4, 'JCL_ORG_HRMRESOURCE', 'folk', '民族', 'varchar(30)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 23, 1, 0, now(), NULL, '1', '["input","text","30"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (71, 4, 'JCL_ORG_HRMRESOURCE', 'native_place', '籍贯', 'varchar(100)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 24, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (72, 4, 'JCL_ORG_HRMRESOURCE', 'reg_resident_place', '户口', 'varchar(200)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 25, 1, 0, now(), NULL, '1', '["input","text","200"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (73, 4, 'JCL_ORG_HRMRESOURCE', 'certificate_num', '身份证号码', 'varchar(60)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 26, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (74, 4, 'JCL_ORG_HRMRESOURCE', 'marital_status', '婚姻状况', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 27, 1, 0, now(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"未婚"},{"default":"","unuse":"","id":"1","key":"1","option":"已婚"},{"default":"","unuse":"","id":"2","key":"2","option":"离异"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (75, 4, 'JCL_ORG_HRMRESOURCE', 'policy', '政治面貌', 'varchar(30)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 28, 1, 0, now(), NULL, '1', '["input","text","30"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (76, 4, 'JCL_ORG_HRMRESOURCE', 'be_member_date', '入团日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 29, 1, 0, now(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (77, 4, 'JCL_ORG_HRMRESOURCE', 'be_party_date', '入党日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 30, 1, 0, now(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (78, 4, 'JCL_ORG_HRMRESOURCE', 'islabouunion', '工会会员', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 31, 1, 0, now(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"是"},{"default":"","unuse":"","id":"1","key":"1","option":"否"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (79, 4, 'JCL_ORG_HRMRESOURCE', 'education_level', '学历', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 32, 1, 0, now(), NULL, '30', '["browser",{"valueSpan":"学历","replaceDatas":[{"name":"学历","id":"30"}],"value":"30"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (80, 4, 'JCL_ORG_HRMRESOURCE', 'degree', '学位', 'varchar(30)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 33, 1, 0, now(), NULL, '1', '["input","text","30"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (81, 4, 'JCL_ORG_HRMRESOURCE', 'health_info', '健康状况', 'int', 5, 4, 1, 0, 1, NULL, 1, 1, 1, 34, 1, 0, now(), NULL, '1', '["select","select",{"datas":[{"default":"","unuse":"","id":"0","key":"0","option":"优秀"},{"default":"","unuse":"","id":"1","key":"1","option":"良好"},{"default":"","unuse":"","id":"2","key":"2","option":"一般"},{"default":"","unuse":"","id":"3","key":"3","option":"较差"}],"sort":"horizontal"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (82, 4, 'JCL_ORG_HRMRESOURCE', 'height', '身高', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 35, 1, 0, now(), NULL, '2', '["input","int"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (83, 4, 'JCL_ORG_HRMRESOURCE', 'weight', '体重', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 36, 1, 0, now(), NULL, '2', '["input","int"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (84, 4, 'JCL_ORG_HRMRESOURCE', 'use_kind', '用工性质', 'int', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 37, 1, 0, now(), NULL, '31', '["browser",{"valueSpan":"用工性质","replaceDatas":[{"name":"用工性质","id":"31"}],"value":"31"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (85, 4, 'JCL_ORG_HRMRESOURCE', 'start_date', '合同开始日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 38, 1, 0, now(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (86, 4, 'JCL_ORG_HRMRESOURCE', 'end_date', '合同结束日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 39, 1, 0, now(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (87, 4, 'JCL_ORG_HRMRESOURCE', 'probation_end_date', '试用期结束日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 40, 1, 0, now(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (88, 4, 'JCL_ORG_HRMRESOURCE', 'resident_place', '现居住地', 'varchar(200)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 41, 1, 0, now(), NULL, '1', '["input","text","200"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (89, 4, 'JCL_ORG_HRMRESOURCE', 'home_address', '家庭联系方式', 'varchar(100)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 42, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (90, 4, 'JCL_ORG_HRMRESOURCE', 'temp_resident_number', '暂住证号码', 'varchar(60)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 43, 1, 0, now(), NULL, '1', '["input","text","60"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (91, 4, 'JCL_ORG_HRMRESOURCE', 'company_start_date', '入职日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 44, 1, 0, now(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (92, 4, 'JCL_ORG_HRMRESOURCE', 'work_start_date', '参加工作日期', 'char(10)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 45, 1, 0, now(), NULL, '2', '["browser",{"valueSpan":"日期","replaceDatas":[{"name":"日期","id":"2"}],"value":"2"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (93, 4, 'JCL_ORG_HRMRESOURCE', 'accum_fund_account', '公积金帐户', 'varchar(30)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 46, 1, 0, now(), NULL, '1', '["input","text","30"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (94, 4, 'JCL_ORG_HRMRESOURCE', 'account_name', '工资账号户名', 'varchar(200)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 48, 1, 0, now(), NULL, '1', '["input","text","200"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (95, 4, 'JCL_ORG_HRMRESOURCE', 'bank_id', '工资银行', 'varchar(400)', 3, 4, 1, 0, 1, NULL, 1, 1, 1, 49, 1, 0, now(), NULL, '284', '["browser",{"valueSpan":"工资银行","replaceDatas":[{"itemorderid":"0","name":"工资银行","id":"284","parenttitle":"其他","title":"其他-工资银行"}],"value":"284"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (96, 4, 'JCL_ORG_HRMRESOURCE', 'account_id', '工资账号', 'varchar(100)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 50, 1, 0, now(), NULL, '1', '["input","text","100"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (97, 4, 'JCL_ORG_HRMRESOURCE', 'show_order', '显示顺序', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 51, 1, 0, now(), NULL, '2', '["input","int"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (98, 4, 'JCL_ORG_HRMRESOURCE', 'classification', '人员密级', 'int', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 52, 1, 0, now(), NULL, '2', '["input","int"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (99, 4, 'JCL_ORG_HRMRESOURCE', 'work_year', '工龄', 'decimal(15,2)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 53, 1, 0, now(), NULL, '3', '["input","float","2"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (100, 4, 'JCL_ORG_HRMRESOURCE', 'company_work_year', '司龄', 'decimal(15,2)', 1, 4, 1, 0, 1, NULL, 1, 1, 1, 54, 1, 0, now(), NULL, '3', '["input","float","2"]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (101, 1, 'JCL_ORG_COMP', 'ec_company', '上级公司', 'int', 3, 1, 1, 0, 1, 1, 1, 1, 1, 6, 1, 0,  now(), NULL, '164', '["browser",{"valueSpan":"分部","replaceDatas":[{"name":"分部","id":"164"}],"value":"164"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (102, 2, 'JCL_ORG_DEPT', 'ec_company', '所属分部', 'int', 3, 2, 1, 1, 1, 1, 1, 1, 1, 4, 1, 0,  now(), NULL, '164', '["browser",{"valueSpan":"分部","replaceDatas":[{"name":"分部","id":"164"}],"value":"164"}]', 0);
insert INTO jcl_field_extendinfo (id, extend_type, table_name, field_name, field_name_desc, field_type, control_type, extend_group_id, isenable, isrequired, list_show, search_show, edit_show, add_show, browser_show, show_order, creator, delete_type, create_time, update_time, browser_type, custom_value, is_system_default) VALUES (103, 2, 'JCL_ORG_DEPT', 'ec_department', '上级部门', 'int', 3, 2, 1, 0, 1, 1, 1, 1, 1, 5, 1, 0,  now(), NULL, '4', '["browser",{"valueSpan":"部门","replaceDatas":[{"name":"部门","id":"4"}],"value":"4"}]', 0);


CREATE TABLE `JCL_INFO` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fname` varchar(100) DEFAULT NULL,
  `fvalue` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;


BEGIN;
INSERT INTO `JCL_INFO` (`id`, `fname`, `fvalue`) VALUES (1, '董事长人员i', '36');
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;