package com.engine.organization.thread;

import com.engine.organization.entity.cusfielddata.po.CusFieldData;
import com.engine.organization.entity.map.JclOrgMap;
import com.engine.organization.mapper.jclorgmap.JclOrgMapper;
import com.engine.organization.mapper.trigger.CompTriggerMapper;
import com.engine.organization.mapper.trigger.GroupTriggerMapper;
import com.engine.organization.util.OrganizationDateUtil;
import com.engine.organization.util.db.MapperProxyFactory;
import org.apache.commons.lang3.StringUtils;
import weaver.common.DateUtil;
import weaver.general.Util;
import weaver.hrm.passwordprotection.domain.HrmResource;

import java.sql.Date;
import java.util.Calendar;
import java.util.Map;

/**
 * @author:dxfeng
 * @createTime: 2022/08/30
 * @version: 1.0
 */
public class GroupTriggerRunnable implements Runnable {
    Map<String, Object> params;

    private CompTriggerMapper getCompTriggerMapper() {
        return MapperProxyFactory.getProxy(CompTriggerMapper.class);
    }

    private GroupTriggerMapper getGroupTriggerMapper() {
        return MapperProxyFactory.getProxy(GroupTriggerMapper.class);
    }

    public GroupTriggerRunnable(Map<String, Object> params) {
        this.params = params;
    }


    @Override
    public void run() {
        JclOrgMap jclOrgMap = new JclOrgMap();
        //id = 0;
        jclOrgMap.setId(0);
        //ftype = 0;
        jclOrgMap.setFType(0);
        jclOrgMap.setFObjId(0);
        jclOrgMap.setFEcId(parseString2Int(params.get("id")));
        jclOrgMap.setUuid(Util.null2String(params.get("uuid")));
        jclOrgMap.setFNumber("00");
        jclOrgMap.setFName(Util.null2String(params.get("companyname")));
        jclOrgMap.setFClass(0);
        jclOrgMap.setFClassName("行政维度");
        jclOrgMap.setFLeader(getGroupTriggerMapper().getInfoValue(1));
        HrmResource hrmResourceById = getCompTriggerMapper().getHrmResourceById(jclOrgMap.getFLeader());
        if (null != hrmResourceById) {
            jclOrgMap.setFLeaderImg(hrmResourceById.getMessagerurl());
            jclOrgMap.setFLeaderName(hrmResourceById.getLastname());
            jclOrgMap.setFLeaderJobId(hrmResourceById.getJobtitle());
        }
        jclOrgMap.setFLeaderJob(getCompTriggerMapper().getJobTitleMarkById(jclOrgMap.getFLeaderJobId()));
        CusFieldData cusFieldDataById = getCompTriggerMapper().getCusFieldDataById(jclOrgMap.getFLeader());
        if (null != cusFieldDataById) {
            jclOrgMap.setFLeaderSt(cusFieldDataById.getField100008());
            jclOrgMap.setFLeaderLv(cusFieldDataById.getField100007());
        }
        jclOrgMap.setFParentId(-1);
        jclOrgMap.setFObjParentId(0);
        String currentDate = OrganizationDateUtil.getFormatLocalDate(new java.util.Date());
        jclOrgMap.setFDateBegin(new Date(OrganizationDateUtil.stringToDate(currentDate).getTime()));
        jclOrgMap.setFDateEnd(new Date(OrganizationDateUtil.stringToDate("2099-12-31").getTime()));
        JclOrgMap jclOrgMapByObjID = MapperProxyFactory.getProxy(JclOrgMapper.class).getJclOrgMapByObjID(currentDate, "0", jclOrgMap.getFObjId().toString());
        if (null != jclOrgMapByObjID) {
            jclOrgMap.setFPlan(jclOrgMapByObjID.getFPlan());
            jclOrgMap.setFOnJob(jclOrgMapByObjID.getFOnJob());
        } else {
            jclOrgMap.setFPlan(0);
            jclOrgMap.setFOnJob(0);
        }
        jclOrgMap.setFIsVitual(0);
        Calendar cal = Calendar.getInstance();
        cal.setTime(jclOrgMap.getFDateBegin());
        Calendar calendar = DateUtil.addDay(cal, -1);
        Date time = new Date(calendar.getTime().getTime());
        getGroupTriggerMapper().deleteMap(0, jclOrgMap.getFDateBegin());
        getGroupTriggerMapper().updateMap(0, jclOrgMap.getFDateBegin(), time);

        MapperProxyFactory.getProxy(JclOrgMapper.class).insertMap(jclOrgMap);
    }

    private Integer parseString2Int(Object args) {
        String s = Util.null2String(args);
        if (StringUtils.isBlank(s)) {
            return null;
        }
        return Integer.parseInt(s);
    }
}
